﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}
<div class="mb-3">
    <form method="get">
        <div class="form-row">
            <div class="input-group">
                <input type="text" class="form-control" asp-for="Keyword">
                <div class="input-group-append">
                    <input type="date" class="form-control" asp-for="Start">
                    <input type="date" class="form-control" asp-for="End">
                    <select class="btn btn-outline-secondary dropdown-toggle" asp-for="ExpenseCategoryId" asp-items="Model.ExpenseCategoriesSelectList">
                        <option value="">Category</option>
                    </select>
                    <button type="submit" class="btn btn-primary">Search</button>
                    <a asp-page="/Index" type="button" class="btn btn-primary">Reset</a>
                </div>
            </div>
        </div>
    </form>
</div>


<div class="card-deck">
    @foreach (var carInfoDto in Model.CarsInfoDtos)
    {
        <div class="card" style="max-width: 18rem;">
            <img class="card-img" src="@carInfoDto.Car.Model!.Brand!.ImageUrl" alt="Card image cap">
            <div class="card-body">
                <a class="h3" asp-page="/Expenses/Index" asp-route-CarId="@carInfoDto.Car.CarId">@carInfoDto.Car.RegistrationNumber.ToUpper()</a>
                
                <h6 class="card-title">@carInfoDto.Car.CarInfo</h6>
                <p class="card-text text-muted">Last expenses:</p>
            </div>
            <ul class="list-group list-group-flush mb-2">

                @foreach (var lastExpense in carInfoDto.LatestExpenses)
                {
                    <li class="list-group-item text-capitalize">
                        <a asp-route-id="@lastExpense.ExpenseId" asp-page="/Expenses/Details" class="text-dark">@lastExpense.LastExpenseInfo</a>
                    </li>
                }
            </ul>
            <div class="card-body">
                
                
            </div>
            <div class="card-footer">
                <small class="text-muted">Total expenses: @carInfoDto.CarExpensesCost€</small>
                <br>
                <a asp-route-CarId="@carInfoDto.Car.CarId" asp-page="/Expenses/Create" class="card-link text-right">+ Add</a>
                <a asp-route-id="@carInfoDto.Car.CarId" asp-page="/Cars/Edit" class="card-link">• Edit</a>
            </div>
        </div>
    }
</div>